Skip to main content
GET
/
pages
/
{page_id}
Get One Page
curl --request GET \
  --url https://api.swoogo.com/api/v1/pages/{page_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2016-09-06 18:32:59",
  "event_id": 1,
  "id": 1,
  "name": "Begin Registration",
  "slug": "begin",
  "type": "registration",
  "updated_at": "2016-09-06 18:32:59"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

page_id
integer
required

integer - required - The ID of the page you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,parent_id,event_id,event_website_id,name,slug,fullUrl,type,sort,icon,created_at,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Page

created_at
string
Example:

"2016-09-06 18:32:59"

event_id
number
Example:

1

id
number
Example:

1

name
string
Example:

"Begin Registration"

slug
string
Example:

"begin"

type
string
Example:

"registration"

updated_at
string
Example:

"2016-09-06 18:32:59"